<template>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-heading">Conditionals and Loops</div>

                    <div class="panel-body">
                        <p v-if="seen == 'tora'">Now you see me</p>
                        <ol>
                            <li v-for="todo in todos">
                                {{todo.text}}
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data(){
            return ({
                seen: 'tora',
                todos: [
                    {text:'satu'},
                    {text:'dua'},
                    {text:'tiga'}
                    ]
            })
        },
        mounted() {
            console.log('Component mounted.');
        }
    }
</script>
